Azure Machine Learning SDK & CLI v1

APPLIES TO: Azure CLI ml extension v1 Python SDK azureml v1

All articles in this section document the use of the first version of Azure Machine Learning Python SDK (v1) or Azure CLI ml extension (v1).

SDK v1

The Azure SDK examples in articles in this section require the azureml-core, or Python SDK v1 for Azure Machine Learning. The Python SDK v2 is now available in preview.

The v1 and v2 Python SDK packages are incompatible, and v2 style of coding will not work for articles in this directory. However, machine learning workspaces and all underlying resources can be interacted with from either, meaning one user can create a workspace with the SDK v1 and another can submit jobs to the same workspace with the SDK v2.

We recommend not to install both versions of the SDK on the same environment, since it can cause clashes and confusion in the code.

How do I know which SDK version I have?

  • To find out whether you have Azure ML Python SDK v1, run pip show azureml-core. (Or, in a Jupyter notebook, use %pip show azureml-core )
  • To find out whether you have Azure ML Python SDK v2, run pip show azure-ai-ml. (Or, in a Jupyter notebook, use %pip show azure-ai-ml)

Based on the results of pip show you can determine which version of SDK you have.

CLI v1

The Azure CLI commands in articles in this section require the azure-cli-ml, or v1, extension for Azure Machine Learning. The enhanced v2 CLI using the ml extension is now available and recommended.

The extensions are incompatible, so v2 CLI commands will not work for articles in this directory. However, machine learning workspaces and all underlying resources can be interacted with from either, meaning one user can create a workspace with the v1 CLI and another can submit jobs to the same workspace with the v2 CLI.

How do I know which CLI extension I have?

To find which extensions you have installed, use az extension list.

  • If the list of Extensions contains azure-cli-ml, you have the v1 extension.
  • If the list contains ml, you have the v2 extension.

Next steps

For more information on installing and using the different extensions, see the following articles:

For more information on installing and using the different SDK versions: